Issue 106472 - sw: fix strict aliasing in ww8
sw: fix strict aliasing in ww8
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: code
DEV300m63
All Linux
: P3 trivial (vote)
: ---
Assigned To: dtardon
issues@sw
:
Depends on:
Blocks: 101100
  Show dependency treegraph
 
Reported: 2009-10-30 10:42 UTC by caolanm
Modified: 2013-08-07 14:44 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
like so (1.44 KB, patch)
2009-10-30 10:43 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2009-10-30 10:42:05 UTC
Fix up ugly (and aliasing unsafe) casting in ww8.
Comment 1 caolanm 2009-10-30 10:43:01 UTC
Created attachment 65789 [details]
like so
Comment 2 caolanm 2009-10-30 10:44:24 UTC
done in cmcfixes65
Comment 3 caolanm 2009-11-03 14:40:16 UTC
reassign to verify that the output will be the same
Comment 4 dtardon 2009-11-05 14:26:44 UTC
verifying the logic is unchanged in cmcfixes65
Comment 5 caolanm 2009-11-17 16:24:50 UTC
closed, integrated